Package: java-package
Version: 0.62
Severity: important

Dear Maintainer,

ARM support in make-jpkg is busted.

1) soft float is no longer provided (for JDK8) - only hard float, or aarch64

2) Download names are no longer arm-vfp-hflt - they're arm{32,64}-vfp-hflt

3) Hardcoding soft-float dependencies in oracle-jdk.sh is no longer relevant

4) javase.sh doesn't support ARM architectures at all, and makes bad folder
name choices as a result



-- System Information:
Debian Release: stretch/sid
  APT prefers xenial-updates
  APT policy: (500, 'xenial-updates'), (500, 'xenial-security'), (500, 
'xenial'), (100, 'xenial-backports')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.8.0-52-generic (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages java-package depends on:
ii  build-essential  12.1ubuntu2
ii  debhelper        9.20160115ubuntu3
ii  dpkg-dev         1.18.4ubuntu1.2
ii  fakeroot         1.20.2-1ubuntu1
ii  libasound2       1.1.0-0ubuntu1
ii  libfontconfig1   2.11.94-0ubuntu1.1
ii  libgl1-mesa-glx  12.0.6-0ubuntu0.16.04.1
ii  libgtk2.0-0      2.24.30-1ubuntu1
ii  libx11-6         2:1.6.3-1ubuntu2
ii  libxslt1.1       1.1.28-2.1ubuntu0.1
ii  libxtst6         2:1.2.2-1
ii  libxxf86vm1      1:1.1.4-1
ii  unzip            6.0-20ubuntu1

java-package recommends no packages.

Versions of packages java-package suggests:
pn  openjdk-7-jre  <none>

-- no debconf information

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to